﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DisplayASimpleMap.aspx.cs"
    Inherits="CSSamples.Samples.DisplayASimpleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Display a Simple Map</title>

    <script type="text/javascript">
        var currentInfo = null;
        var tooltip = null;
        var OnMapCreated = function(map){
            tooltip = new OpenLayers.Popup("Tooltip",
                   new OpenLayers.LonLat(0, 0),
                   new OpenLayers.Size(200,40),
                   "",
                   false);

            map.addPopup(tooltip);
            tooltip.hide();
        
            var highlightOverlay = map.getLayer('HighlightOverlay');
            highlightOverlay.events.includeXY = true;
            var selector = map.getControlsByClass('OpenLayers.Control.SelectFeature')[0];
            selector.onSelect = function(feature) {
                currentInfo = feature.fieldValues[0].Value;
            };
            selector.onUnselect = function() {
                currentInfo = null;
                tooltip.hide();
            };
            highlightOverlay.events.register('mousemove', highlightOverlay, function(evt){
                if(currentInfo != null){
                    tooltip.setContentHTML(currentInfo);
                    var newPx = new OpenLayers.Pixel(evt.xy.x + 4, evt.xy.y + 4);
                    tooltip.moveTo(newPx);
                    tooltip.show();
                }
            });
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
    </cc1:Map>
    <Description:DescriptionPanel ID="DescPanel" runat="server">
        This sample simply adds an overlay and sets the background.
    </Description:DescriptionPanel>
    </form>
</body>
</html>
